Federated blogging application, thanks to ActivityPub https://joinplu.me
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 
 

59 lines
1.2 KiB

  1. [package]
  2. name = "plume-models"
  3. version = "0.4.0"
  4. authors = ["Plume contributors"]
  5. edition = "2018"
  6. [dependencies]
  7. activitypub = "0.1.1"
  8. ammonia = "2.1.1"
  9. askama_escape = "0.1"
  10. bcrypt = "0.5"
  11. guid-create = "0.1"
  12. heck = "0.3.0"
  13. itertools = "0.8.0"
  14. lazy_static = "1.0"
  15. migrations_internals= "1.4.0"
  16. openssl = "0.10.22"
  17. rocket = "0.4.5"
  18. rocket_i18n = { git = "https://github.com/Plume-org/rocket_i18n", rev = "e922afa7c366038b3433278c03b1456b346074f2" }
  19. reqwest = "0.9"
  20. scheduled-thread-pool = "0.2.2"
  21. serde = "1.0"
  22. serde_derive = "1.0"
  23. serde_json = "1.0"
  24. tantivy = "0.12.0"
  25. url = "2.1"
  26. walkdir = "2.2"
  27. webfinger = "0.4.1"
  28. whatlang = "0.7.1"
  29. shrinkwraprs = "0.2.1"
  30. diesel-derive-newtype = "0.1.2"
  31. glob = "0.3.0"
  32. lindera-tantivy = { version = "0.1.3", optional = true }
  33. [dependencies.chrono]
  34. features = ["serde"]
  35. version = "0.4"
  36. [dependencies.diesel]
  37. features = ["r2d2", "chrono"]
  38. version = "1.4.2"
  39. [dependencies.plume-api]
  40. path = "../plume-api"
  41. [dependencies.plume-common]
  42. path = "../plume-common"
  43. [dependencies.plume-macro]
  44. path = "../plume-macro"
  45. [dev-dependencies]
  46. diesel_migrations = "1.3.0"
  47. [features]
  48. postgres = ["diesel/postgres", "plume-macro/postgres" ]
  49. sqlite = ["diesel/sqlite", "plume-macro/sqlite" ]
  50. search-lindera = ["lindera-tantivy"]